Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xslt
Class XSLProcessorContext

    java.lang.Object
      |
      +--weblogic.apache.xalan.extensions.XSLProcessorContext
            |
            +--weblogic.apache.xalan.xslt.XSLProcessorContext

Deprecated. This compatibility layer will be removed in later releases.

public class XSLProcessorContext
extends XSLProcessorContext

Captures processor context to be passed to an extension element.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Sanjiva Weerawarana (sanjiva@watson.ibm.com)

Constructor Summary
`XSLProcessorContext(XSLTEngineImpl processor, Stylesheet stylesheetTree, org.w3c.dom.Node sourceTree, org.w3c.dom.Node sourceNode, QName mode)` Deprecated.

Methods inherited from class weblogic.apache.xalan.extensions.XSLProcessorContext
`getContextNode, getMode, getSourceTree, getStylesheet, getTransformer, outputToResultTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLProcessorContext

    public XSLProcessorContext(XSLTEngineImpl processor,
                               Stylesheet stylesheetTree,
                               org.w3c.dom.Node sourceTree,
                               org.w3c.dom.Node sourceNode,
                               QName mode)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference